
QGIS Application - Bug report #20225

QGIS crashes when layer rendering is aborted

2018-10-26 11:34 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28046

Description

I add a layer that has a lot of features and while it was rendering I unchecked it in the layers panel. BOOM!

Report Details

Crash ID: 0528813285224215fe95252f0a8bedbd2cda0b4b

Stack Trace

QgsNative::openFileExplorerAndSelectFile :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgsHandleBadLayers::qt_metacall :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.3.0-Master

QGIS code revision: commit:302529a10c

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-10-26 09:27 PM - Nyall Dawson

- Status changed from Open to Feedback
What layer type?

#2 - 2018-10-26 10:05 PM - Harrissou Santanna

- Status changed from Feedback to Open

It was a PG polygon layer.

But I'm a bit confused as I laterrealized that it's not the QGIS instance I added the layer to that breaks but two others (with one of another user profile) I did

not touch that closed.

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2019-02-11 04:16 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
